View Issue Details

IDProjectCategoryView StatusLast Update
0010849CentOS-7CentOS-7-Pluspublic2016-11-24 23:57
Reporterhansecke 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version7.2.1511 
Target VersionFixed in Version 
Summary0010849: Add more 9pfs config options
Descriptionkernel-ml-4.5.4-1.el7.elrepo.x86_64 can host a kvm guest with virtio-9p filesystem passthrough. kernel-plus-3.10.0-327.18.2.el7.centos.plus.x86_64 can not. The difference between 9p config options in the two kernels:

hans@t7500 6352> fgrep 9P /boot/config-3.10.0-327.18.2.el7.centos.plus.x86_64
CONFIG_NET_9P=m
CONFIG_NET_9P_VIRTIO=m
# CONFIG_NET_9P_RDMA is not set
# CONFIG_NET_9P_DEBUG is not set
CONFIG_9P_FS=m
# CONFIG_9P_FSCACHE is not set
# CONFIG_9P_FS_POSIX_ACL is not set

hans@t7500 6353> fgrep 9P /boot/config-4.5.4-1.el7.elrepo.x86_64
CONFIG_NET_9P=m
CONFIG_NET_9P_VIRTIO=m
CONFIG_NET_9P_RDMA=m
# CONFIG_NET_9P_DEBUG is not set
CONFIG_9P_FS=m
CONFIG_9P_FSCACHE=y
CONFIG_9P_FS_POSIX_ACL=y
# CONFIG_9P_FS_SECURITY is not set

Could you enable CONFIG_NET_9P_RDMA, CONFIG_9P_FSCACHE, and CONFIG_9P_FS_POSIX_ACL in the CentOS-plus kernel so 9p passthrough works?

Thank you
Steps To ReproduceBoot host under kernel-ml-4.5.4-1.el7.elrepo.x86_64

-> guest has access to host filesystem

Boot host under kernel-ml-4.5.4-1.el7.elrepo.x86_64

-> guest does not have access to host filesystem

Switching SELinux on or off does not have an influence on this.
TagsNo tags attached.
abrt_hash
URL

Activities

hansecke

hansecke

2016-05-13 18:35

reporter   ~0026541

I guess this could be "minor" not "major". I don't see a way to change that though....
toracat

toracat

2016-05-13 23:32

manager   ~0026544

Will try in the next kernel update.
toracat

toracat

2016-05-14 06:33

manager   ~0026550

@@ -1336,7 +1336,7 @@
 # CONFIG_RFKILL_GPIO is not set
 CONFIG_NET_9P=m
 CONFIG_NET_9P_VIRTIO=m
-# CONFIG_NET_9P_RDMA is not set
+CONFIG_NET_9P_RDMA=m
 # CONFIG_NET_9P_DEBUG is not set
 # CONFIG_CAIF is not set
 CONFIG_CEPH_LIB=m
@@ -5102,8 +5102,8 @@
 # CONFIG_CODA_FS is not set
 # CONFIG_AFS_FS is not set
 CONFIG_9P_FS=m
-# CONFIG_9P_FSCACHE is not set
-# CONFIG_9P_FS_POSIX_ACL is not set
+CONFIG_9P_FSCACHE=y
+CONFIG_9P_FS_POSIX_ACL=y
 CONFIG_NLS=y
 CONFIG_NLS_DEFAULT="utf8"
 CONFIG_NLS_CODEPAGE_437=y
toracat

toracat

2016-05-14 11:36

manager   ~0026552

A centosplus kernel set with the requested change is available for testing:

http://people.centos.org/toracat/kernel/7/plus/bugs10845_10849/

Note the packages are not signed. Please test and report back.
hansecke

hansecke

2016-05-15 03:23

reporter   ~0026558

Thank you so much. This works for me, at least on the host side. On the guest I still need to use the ml kernel.

The diff of the config files between the ml and the plus kernels is large and contains a few more likely candidates to make this work. I'd like to try out some of those kernel config options. It is unreasonable to ask you to do that for me. Is there a document that shows me how I can compile my own "plus" kernel? I'm pretty handy on the command line...
toracat

toracat

2016-05-15 13:05

manager   ~0026560

There is a wiki article on how to build a custom kernel:

https://wiki.centos.org/HowTos/Custom_Kernel

It is for CentOS 5 and 6. I suggest you download the src.rpm from the test set:

http://people.centos.org/toracat/kernel/7/plus/bugs10845_10849/kernel-plus-3.10.0-327.18.2.el7.bug10845.10849.centos.plus.src.rpm

and use the kernel-plus.spec file as your starting point. Then you can use the wiki instructions for making custom config files, etc.
toracat

toracat

2016-06-25 22:57

manager   ~0026976

Last edited: 2016-06-27 12:56

View 2 revisions

kernel-plus-3.10.0-327.22.2.el6 now has the updated config.

[EDIT] correction: it is .el7 not .el6.

hansecke

hansecke

2016-08-29 20:32

reporter   ~0027385

Hi toracat,

Thank you, I appreciate this!

I've been playing around with various kernel options to also enable 9pfs on the guest side, but so far to no avail. I'll keep digging...

Hans
toracat

toracat

2016-10-20 16:26

manager   ~0027761

@hansecke

I'd like to close this ticket as 'resolved' because the plus kernel has the requested change. If you need help with the kernel-ml compilation, I suggest you use ELRepo's mailing list.
toracat

toracat

2016-11-13 06:10

manager   ~0027885

In the upcoming CentOS 7.3.1611 (kernel-plus-3.10.0-514.el7), enabling NET_9P_RDMA causes a compilation error. Therefore this has to be disabled. 9P_FSCACHE, and 9P_FS_POSIX_ACL remain enabled.

Issue History

Date Modified Username Field Change
2016-05-13 18:33 hansecke New Issue
2016-05-13 18:35 hansecke Note Added: 0026541
2016-05-13 23:32 toracat Note Added: 0026544
2016-05-13 23:33 toracat Severity major => feature
2016-05-13 23:33 toracat Status new => assigned
2016-05-14 06:33 toracat Note Added: 0026550
2016-05-14 11:36 toracat Note Added: 0026552
2016-05-15 03:23 hansecke Note Added: 0026558
2016-05-15 13:05 toracat Note Added: 0026560
2016-06-25 22:57 toracat Note Added: 0026976
2016-06-27 12:56 toracat Note Edited: 0026976 View Revisions
2016-08-29 20:32 hansecke Note Added: 0027385
2016-10-20 16:26 toracat Note Added: 0027761
2016-10-20 16:26 toracat Status assigned => resolved
2016-10-20 16:26 toracat Resolution open => fixed
2016-11-13 02:49 JohnnyHughes Status resolved => confirmed
2016-11-13 06:10 toracat Note Added: 0027885
2016-11-13 06:31 toracat Status confirmed => assigned
2016-11-24 23:57 toracat Status assigned => resolved